Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class FieldMappingInfo

    java.lang.Object
      |
      +--kodo.jdbc.meta.MappingInfo
            |
            +--kodo.jdbc.meta.FieldMappingInfo

All Implemented Interfaces:
  Comparable

public class FieldMappingInfo
extends MappingInfo
implements Comparable

Holds information about a field mapping; this is used as an intermediate step during serialization and deserialization of `FieldMapping`s to XML or some other format.

Constructor Summary
`FieldMappingInfo(String fieldName)` Constructor.

Method Summary
`int` | `compareTo(Object other)`
`String` | `getName()` Return the name of the described field.
`String` | `toString()`

Methods inherited from class kodo.jdbc.meta.MappingInfo
`addAttribute, addField, clearAttributes, clearFields, getAttribute, getAttributeNames, getField, getFields, getMappingType, removeAttribute, removeField, removeField, setMappingType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldMappingInfo

    public FieldMappingInfo(String fieldName)

  Constructor. Supply described field's name.

Method Detail

### getName

    public String getName()

  Return the name of the described field.

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `MappingInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.